Subject: bug#23155: 24.5; 24.5.1 (i686-pc-ming32) other-window cannot take one argument

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Mar 2016 05:40:34 +0300

> Cc: [email-masked]
> From: "G. Kevin Zhu" <[email-masked]>
> Date: Wed, 30 Mar 2016 20:26:18 -0400
> 
> >> (defun my-previous-window ()
> >>    (interactive)
> >>    (other-window -1))
> >>
> >> Run this function and receive the following error message:
> >>
> >> Wrong number of arguments: (lambda nil "Select the previous window."
> >> (interactive) ((other-window) -1)), 3
> >
> > I cannot reproduce this.  Does this happen for you in "emacs -Q", if
> > you evaluate the definition of my-previous-window in the *scratch*
> > buffer?  If it works then, you should look into your .emacs for the
> > reason of the error.
> >
> 
> Thank you for the pointer. This does not happen in your method.
> 
> Furthermore, I could not duplicate the problem on my windows machine.

Then I guess some of the init files loaded on the system where you
have the problems redefines or advises other-window in some way.  You
need to find that redefinition and fix it.